import { html as l } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, f = Object.getOwnPropertyDescriptor, a = (c, e, n, o) => {
  for (var t = o > 1 ? void 0 : o ? f(e, n) : e, s = c.length - 1, i; s >= 0; s--)
    (i = c[s]) && (t = (o ? i(e, n, t) : i(t)) || t);
  return o && t && m(e, n, t), t;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--locationPinRestaurant", this.class = "c-pieIcon c-pieIcon--locationPinRestaurant", this.name = "IconLocationPinRestaurant";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--locationPinRestaurant"><path d="m8 12.436 3.29-3.325a4.734 4.734 0 0 0 0-6.624 4.602 4.602 0 0 0-6.58 0 4.734 4.734 0 0 0 0 6.624L8 12.436Zm-2.354-9.03a3.299 3.299 0 0 1 4.708 0 3.404 3.404 0 0 1 0 4.778L8 10.564l-2.354-2.38a3.404 3.404 0 0 1 0-4.778ZM4.5 13.47h7v1.312h-7V13.47Z"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], r.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = a([
  u("icon-location-pin-restaurant")
], r);
export {
  r as IconLocationPinRestaurant
};
